com.microfocus.awm.meta.modelextension

## Class ComplexAttributeReference

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionReference<ModelExtensionWithAttributes,ModelExtensionObject>
  - - com.microfocus.awm.meta.modelextension.ModelExtensionAttributeReference
    - - com.microfocus.awm.meta.modelextension.ComplexAttributeReference

-     public class ComplexAttributeReference
      extends ModelExtensionAttributeReference

  Reference from a complex attribute to a complex attribute.
  Author:
    ChristelleB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexAttributeReference(java.lang.String pTargetID, EModelExtensionCardinality pCardinality, ModelExtensionWithAttributes pReferencingObject)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EModelExtensionCardinality` | `getCardinality()` Gets the cardinality.
    `ComplexAttributeExtension` | `getReferenceTarget()` Gets the reference target (complex attribute) of this complex attribute reference.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionReference

      `getReferencingObject, getTargetID, resolveReference`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexAttributeReference

          public ComplexAttributeReference(java.lang.String pTargetID,
                                           EModelExtensionCardinality pCardinality,
                                           ModelExtensionWithAttributes pReferencingObject)

      Constructor.
      Parameters:
        `pTargetID` - the fully qualified target ID
        `pCardinality` - cardinality constant
        `pReferencingObject` - the referencing complex attribute

  - ### Method Detail

    - #### getCardinality

          public EModelExtensionCardinality getCardinality()

      Gets the cardinality.
      Returns:
        the cardinality

    - #### getReferenceTarget

          public ComplexAttributeExtension getReferenceTarget()

      Gets the reference target (complex attribute) of this complex attribute reference.
      Returns:
        the reference target

Copyright © 2015 Micro Focus GmbH. All rights reserved.